<?php
//ob_start();

ini_set("display_errors", "1");
error_reporting(E_ALL);

global $wpdb;
$table = $wpdb->prefix.'bvs_contacts';

$error = array();

// DELETE DATA FROM DATABASE //
if(isset($_POST['delete_id']) && !empty($_POST['delete_id']) && $_POST['action']=='delete'){
  $deleteId = $_POST['delete_id'];

  $getDelRecord = $wpdb->get_results( "SELECT * FROM $table where Id='".$deleteId."'");
  if(sizeof($getDelRecord)>0){
    $wpdb->delete( $table, ['Id' => $deleteId ]);
  }
}




?>
<html>
<!--  USED IN TABLE DISPLAY -->

<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap.min.js"></script>

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css">

<!--  USED IN TABLE DISPLAY -->

<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

<style>
  * {
    box-sizing: border-box;
  }

  .w3-button {width:150px;}

  .row-grid{display: grid;
  grid-column-gap: 10px;
  grid-template-columns: auto auto auto auto auto auto;
  padding: 10px;
  width: 100%;
  float: right;
  clear: both;
  grid-gap: 15px !important; }

.btn-wrap2 {
    padding-bottom: 16px;
  }

  .btn-wrap {
    text-align: right;
    clear: both;
    padding-top: 16px;
  }

  .btn-wrap input{
    display: inline-block;
  }

  input[type=text], select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
  }

  label {
    padding: 12px 12px 12px 0;
    display: inline-block;
  }

  input[type=submit] {
    background-color: #4CAF50;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
  }

  input[type=submit]:hover {
    background-color: #45a049;
  }

  input[type=button] {
    background-color: #4CAF50;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
  }

  input[type=button]:hover {
    background-color: #45a049;
  }

  /*.container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
  }
*/
</style>

  <script type="text/javascript">
    function delete_record(id){
      var con = confirm("Are you sure you want to delete this record?");
      if(con == true){
        document.getElementById('action').value = "delete";
        document.getElementById('delete_id').value = id;
        document.list_form.submit();
      }
    }


    // FOR LISTING //
    $(document).ready(function() {
        $('#list_table').DataTable();
    } );

  </script>

</head>
<body>

<div class="wpbody-content">
<div class="w3-container">
  <h2>Contact List</h2>

  <form action="" name="list_form" method="POST" enctype="multipart/form-data">
    <input type="hidden" name="action" id="action" value="">
    <input type="hidden" name="delete_id" id="delete_id" value="">
    
  </form>
  <!--

  
  <!--<div><a href="<?php echo plugin_dir_url( __FILE__ ) . 'export.php'?>" target="_blank">Export</a></div>-->
  <div><a href="<?php  echo admin_url( 'admin.php?page=bvs_contacts' ) ?>&action=download_csv" class="page-title-action"><?php _e('Export to CSV','my-plugin-slug');?>
  </a></div>
  
  <table id="list_table" class="table table-striped table-bordered" style="width:100%">
      <thead>
          <tr>
            <th>S.No.</th>
            <th>Post Title</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
            <th>Zip Code</th>
            <th>Added Date</th>
             <th>Action</th>
          </tr>
      </thead>
      <tbody>
        <?php
        $getData = $wpdb->get_results( "SELECT * FROM $table ORDER BY Id Desc");
        if(sizeof($getData)>0){
          $i=1;
          foreach($getData as $showData){

            $post_id = $showData->Post_Id;
        ?>
        <tr>
          <td><?php echo $i; ?></td>
          <td><a href="<?php echo get_post_permalink($post_id); ?>"><?php echo get_the_title( $post_id ); ?></a></td>
          <td><?php echo $showData->First_Name;?></td>
          <td><?php echo $showData->Last_Name;?></td>
          <td><?php echo $showData->Email;?></td>
          <td><?php echo $showData->Zip_Code;?></td>
          <td><?php echo date("m/d/Y", strtotime($showData->Created_Date));?></td>
          <td><a href="javascript:void(0);" onclick="return delete_record('<?php echo $showData->Id; ?>');">Delete</a></td>
        </tr>
        <?php $i++; }
        } ?>
      </tbody>
      <tfoot>
        <tr>
            <th>S.No.</th>
            <th>Post Title</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
            <th>Zip Code</th>
            <th>Added Date</th>
             <th>Action</th>
          </tr>
      </tfoot>
  </table>
</div>

</div>