<!--  USED IN TABLE DISPLAY -->

<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap.min.js"></script>

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css">

<!--  USED IN TABLE DISPLAY -->

<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

<style>
  * {
    box-sizing: border-box;
  }

  .row-grid{display: grid;
  grid-column-gap: 10px;
  grid-template-columns: auto auto auto auto auto auto;
  padding: 10px;
  width: 100%;
  float: right;
  clear: both;
  grid-gap: 15px !important; }

.btn-wrap2 {
    padding-bottom: 16px;
  }

  .btn-wrap {
    text-align: right;
    clear: both;
    padding-top: 16px;
  }

  .btn-wrap input{
    display: inline-block;
  }

  input[type=text], select, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
  }

  label {
    padding: 12px 12px 12px 0;
    display: inline-block;
  }

  input[type=submit] {
    background-color: #4CAF50;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
  }

  input[type=submit]:hover {
    background-color: #45a049;
  }

  input[type=button] {
    background-color: #4CAF50;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
  }

  input[type=button]:hover {
    background-color: #45a049;
  }

  
</style>

<script type="text/javascript">
  
    // FOR LISTING //
    $(document).ready(function() {
        $('#list_table').DataTable();
    } );

  </script>

</head>
<body>

<div class="wpbody-content">
<div class="w3-container">
  <h2>Posted Videos</h2>
  
  <table id="list_table" class="table table-striped table-bordered" style="width:100%">
      <thead>
          <tr>
            <th>S.No.</th>
            <th>Title</th>
            <th>Shortcode</th>
			      <!---<th>Embed Code</th>-->
            <th>Category</th>
            <th>Date</th>
            <th>Action</th>
          </tr>
      </thead>
      <tbody>
        <?php

        $getData = get_posts( array(
            'meta_key'   => 'post_added_via',
            'meta_value' => 'API',
			      'nopaging' => true
              ) );
              

        if(sizeof($getData)>0){
          $i=1;
          foreach($getData as $showData){

            $getPostMeta = get_post_meta($showData->ID, "post_shortcode", true);

            $category_detail=get_the_category($showData->ID);

                  foreach($category_detail as $cd){
                      
              
            
        ?>
        <tr>
          <td><?php echo $i; ?></td>
          <td><a href="<?php echo get_post_permalink($showData->ID); ?>"><?php echo $showData->post_title;?></a></td>
          <td><?php echo $getPostMeta;?></td>
			    <!---<td>dfdfd</td>--->
          <td><?php echo $cd->cat_name;?></td>
          <td><?php echo date("m/d/Y", strtotime($showData->post_date));?></td>
          <td><a href="<?php echo get_edit_post_link($showData->ID); ?>">Edit</a> / <a href="<?php echo get_delete_post_link( $showData->ID ); ?>">Delete</a></td>
        </tr>
        <?php $i++; }
        } 
        
      }?>
      </tbody>
      <tfoot>
        <tr>
            <th>S.No.</th>
            <th>Title</th>
            <th>Shortcode</th>
			      <!---<th>Embed Code</th>-->
            <th>Category</th>
            <th>Date</th>
            <th>Action</th>
          </tr>
      </tfoot>
  </table>
</div>

</div>
